Skip to content

eSign Link Generation

| View as Markdown

This API is for generating esign link for getting signatures on some document or agreement. After generating the link, user can browse and complete his eSign process. In this process, user will receive eSigned document via mail. We must pass docrefid, email, first name, last name, mobile no and doc link in request. If the request has valid details, we will get a unique link for esign.

https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>); (required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeRequiredDescription
docrefidAlphanumericYesDocument reference ID (length 7). Will be provided by Airpay.
emailTextYesEmail (length 120)
first_nameTextNoFirst name (min 2, max 100)
last_nameTextNoLast name (min 2, max 100)
mobile_noNumericNoMobile number (length 10)
doclinkAlphanumericNoDocument link (length 125). Must be unique.
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/esign/api/create-esign-request' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'docrefid="55AAVB8"' \
--form 'email="xyz@airpay.co.in"' \
--form 'doclink="https://examples.airpay.co.in/admin/esign_html_template/100035"' \
--form 'mobile_no="7558599593"' \
--form 'first_name="Prasanth"' \
--form 'last_name="krishna"'
FieldTypeDescription
statusNumericStatus code (length 3)
messageTextMessage
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
txn_idAlphanumericTransaction id
urlTextGenerated Esign link
HTTP/1.1 200 OK
{
"status": 200,
"message": "success",
"txn_id": 1048,
"url": "https://www.test_arpy.in/cPoTe1kh3"
}
HTTP/1.1 400 Failed
{
"status": 400,
"message": "Documnent reference id does not exist"
}